
#include "control.h"
#include "path.h"

#include <stdio.h>

int main(int argc, char **argv) {
	trial *t;
	path *p;
	
	if (argc <= 2) {
		fprintf(stderr, "Syntax: %s hostname port\n", argv[0]);
		return 1;
	}
	
	if (NULL == (t = trial_new(argv[1], argv[2]))) {
		return 2;
	}

	/*create trivial path towards the origin*/
	p = path_new(&t->map,&t->vehicle);	
	
	trial_wait_for_input(t);
	while(t->alive){
		trial_wait_for_input(t);
		path_execute(t,p);
	}

	path_free(p);
	trial_free(t);
	
	return 0;
}
